%define         glibmm_version 2.23
%define         gegl_version   0.1.2

Name:           geglmm
Version:        0.1.0
Release:        4%{?dist}
Summary:        A graphic processing library, C++ bindings

Group:          Development/Libraries
License:        LGPLv3+
URL:            http://ftp.gnome.org/pub/gnome/sources/geglmm

Source0: http://ftp.gnome.org/pub/gnome/sources/geglmm/0.1/geglmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gegl-devel >= %{gegl_version}
BuildRequires:  glibmm24-devel >= %{glibmm_version}

%description
C++ binding for the GEGL graph based image processing framework.
These bindings adhere to the Gtkmm2 bindings APIs.

%package devel
Summary:        Development tools for the geglmm library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel >= %{glibmm_version}
Requires:       gegl-devel >= %{gegl_version}
%description devel
The header files and dynamic shared libraries of the geglmm library

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LESSER
%{_libdir}/libgeglmm.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_libdir}/pkgconfig/geglmm.pc
%{_libdir}/geglmm-1.0
%{_libdir}/libgeglmm.so
%{_includedir}/geglmm-1.0
%exclude %{_libdir}/libgeglmm.la

%changelog
* Mon Mar 01 2010 Deji Akingunola <dakingun@gmail.com> - 0.1.0-4
- Sync with devel branch (Added two new glibm_version and gegl_version macros)
- Rebuilt against gegl 0.1.2

* Mon Feb 08 2010 Dodji Seketeli <dodji@redhat.com> - 0.1.0-3
- Rebuild against new babl-0.1.2-1 that provides libbabl-0.1.so.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 07 2009 Dodji Seketeli <dodji@redhat.com> - 0.1.0-1
- Update to new upstream release (0.1.0)
- Remove add-cstdio.patch and kill-warnings.patch
  as integrated upstream

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Dodji Seketeli <dodji@redhat.org> 0.0.22-2
- Use dist macro
- Give source0 with full URL
- Remove babl-devel from Requires, as gegl-devel already requires it
- Make dependency between -devel and base package be EVR specific
- Use defattr(-,root,root,-)
- Add AUTHORS COPYING COPYING.LESSER to main package
- Add ChangeLog to devel package
- Add add-cstdio.patch
- Add kill-warnings.patch

* Fri Feb 13 2009 Dodji Seketeli <dodji@redhat.org> 0.0.22-1
- Initial version of the package
